## gkrellsun-0.12.1.tar.gz

=== Makefile ===
VER=0.11.1
TMP=.

all: comment
	cd src20; make; cd ..

comment:
	@echo
	@echo Building gkrellsun for GKrellM version 2.2.x
	@echo 
	@echo NOTE: GKrellM 2.2.x is for GTK+ 2.4.x versions.
	@echo 

install: comment
	cd src20; make install; cd ..

distclean: clean

clean:
	cd src20; make clean; cd ..
	rm -f gkrellsun*.zip gkrellsun*.tar.gz

dist:
ifeq ($(VER),)
	@echo You must specify a version VER
else
	rm -rf $(TMP)/gkrellsun-$(VER)
	rm -f gkrellsun-$(VER).tar.gz
	rm -f gkrellsun-$(VER).zip
	mkdir $(TMP)/gkrellsun-$(VER)
	tar cf - --files-from MANIFEST | (cd $(TMP)/gkrellsun-$(VER); tar xf -)
	cd $(TMP) && tar cf - gkrellsun-$(VER) | gzip > gkrellsun-$(VER).tar.gz
	cd $(TMP) && zip -rpD gkrellsun-$(VER).zip gkrellsun-$(VER)
	rm -rf $(TMP)/gkrellsun-$(VER)

	@echo
	@echo "gkrellsun-$(VER).tar.gz/.zip files are located in $(TMP)"
	@echo
endif

oldzip:
ifeq ($(ZIPVER),)
	@echo You must specify ZIPVER for the zip target
else
	rm -rf /tmp/gkrellsun-$(ZIPVER)
	rm -f /tmp/tar.exclude
	rm -f /tmp/gkrellsun-$(ZIPVER).tar.gz
	rm -f /tmp/gkrellsun-$(ZIPVER).zip
	mkdir /tmp/gkrellsun-$(ZIPVER)
	touch /tmp/tar.exclude
	find . -print  | grep /CVS$$ | cut -c3- >> /tmp/tar.exclude
	find . -print  | grep /CVS/ | cut -c3- >> /tmp/tar.exclude
	find . -print  | grep .classes | cut -c3- >> /tmp/tar.exclude
	find . -print  | grep /debian | cut -c3- >> /tmp/tar.exclude
	find . -type f -name "*~"  | cut -c3- >> /tmp/tar.exclude
	find . -type f -name "*.o"  | cut -c3- >> /tmp/tar.exclude
	find . -type f -name "*.so"  | cut -c3- >> /tmp/tar.exclude
	find . -type f -name "#*"  | cut -c3- >> /tmp/tar.exclude
	find . -type f -name "suninfo"  | cut -c3- >> /tmp/tar.exclude
	tar cf - * --exclude-from /tmp/tar.exclude | (cd /tmp/gkrellsun-$(ZIPVER); tar xf -)
	cd /tmp && tar cf - gkrellsun-$(ZIPVER) | gzip > gkrellsun-$(ZIPVER).tar.gz
	cd /tmp && zip -rpD gkrellsun-$(ZIPVER).zip gkrellsun-$(ZIPVER)
	rm -f tar.exclude
endif

=== src20/Makefile ===
PACKAGE ?= gkrellsun

GTK_CONFIG ?=pkg-config gtk+-2.0
GTK_INCLUDE ?= `pkg-config gtk+-2.0 --cflags`
GTK_LIB ?= `pkg-config gtk+-2.0 --libs`

INSTALL ?= install

PREFIX ?= /usr/local
INSTALLDIR ?= $(DESTDIR)$(PREFIX)
PLUGINDIR ?= $(INSTALLDIR)/lib/gkrellm2/plugins
LOCALEDIR ?= $(INSTALLDIR)/share/locale

FLAGS = -O2 -Wall -fPIC $(GTK_INCLUDE)
#FLAGS = -g -Wall -fPIC $(GTK_INCLUDE)
LIBS = $(GTK_LIB)
LFLAGS = -shared

ifeq ($(enable_nls),1)
	FLAGS += -DENABLE_NLS -DLOCALEDIR=\"$(LOCALEDIR)\"
	export enable_nls
endif
FLAGS += -DPACKAGE="\"$(PACKAGE)\""
export PACKAGE LOCALEDIR

CC = gcc $(CFLAGS) $(FLAGS)

OBJS = gkrellsun.o CalcEphem.o Moon.o

#IMAGES = ../images/osun.xpm ../images/uvsun.xpm \
#         ../images/star.xpm ../images/dot.xpm

all: gkrellsun.so

gkrellsun.so: $(OBJS)
	(cd po && ${MAKE})
	$(CC) $(OBJS) -o gkrellsun.so $(LFLAGS) $(LIBS)

suninfo: suninfo.o CalcEphem.o Moon.o
	$(CC) suninfo.o CalcEphem.o Moon.o -o suninfo -lm $(LIBS)

clean:
	rm -f *.o core *.so* *.bak *~

#gkrellsun.o: gkrellsun.c $(IMAGES)
#%.o: %.c

install: gkrellsun.so
	(cd po && ${MAKE} install )
	$(INSTALL) -d $(PLUGINDIR)
	$(INSTALL) gkrellsun.so $(PLUGINDIR)

#echodirs:;@echo $(DESTDIR) $(PREFIX) $(INSTALLDIR) $(PLUGINDIR) $(LOCALEDIR)

=== src20/debian/changelog ===
gkrellmsun (0.9-1) unstable; urgency=low

  * New upstream release 

 -- Norman Walsh <ndw@nwalsh.com>  Wed,  6 Nov 2002 09:02:14 -0500

Local variables:
mode: debian-changelog
End:

=== src20/debian/control ===
Source: gkrellsun
Section: x11
Priority: optional
Build-Depends: debhelper (>> 3.0.0), gkrellm2, libgtk2.0-dev
Maintainer: Norman Walsh <ndw@nwalsh.com>
Standards-Version: 3.5.7

Package: gkrellsun
Architecture: any
Depends: gkrellm2, ${shlibs:Depends}
Description: Sunrise/sunset monitor plugin for GKrellM2
 This gkrellm2 plugin displays useless information about sunrise and sunset
 times, the path of the sun through the sky, and even a rudimentary lunar
 hack.

=== src20/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	# $(MAKE) install DESTDIR=`pwd`/debian/tmp
	install -c -s -m 755 wireless.so `pwd`/debian/gkrellsun/usr/lib/gkrellm2/plugins

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs Changelog
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
